This package has been deprecated

Author message:

All ESLint rules in this module have been moved and are now available at eslint-config-iplayer

eslint-config-iplayer-ts

4.1.1 • Public • Published

eslint-config-iplayer-ts

eslint config for BBC iPlayer Typescript projects.

Other useful iPlayer eslint configs:

Installation

npm install --save-dev eslint-config-iplayer-ts

Usage

Add the following to your package.json:

{
  "eslintConfig": {
    "extends": "iplayer-ts"
  }
}

This package currently sets the default ECMAScript Version to be 9. If you require a different version you can change it like so:

{
  "eslintConfig": {
    "extends": "iplayer-ts"
  },
  "parserOptions": {
    "ecmaVersion": 6,
  }
}

Readme

Keywords

Package Sidebar

Install

npm i eslint-config-iplayer-ts

Weekly Downloads

141

Version

4.1.1

License

Apache-2.0

Unpacked Size

5.15 kB

Total Files

7

Last publish

Collaborators

  • shahp07
  • rlfbbc
  • ramkup01
  • aggari01
  • abz.me
  • jamesdesq
  • hjerling
  • hafsa-abdulsalim
  • yusuf963m
  • tzaman76
  • rsblandamer
  • anthonygreen
  • mknish
  • tmoco
  • ajitsanto09
  • lexedwardsbbc
  • cjewell47
  • catherine_hpr
  • andycharris
  • carrejoe3
  • chibbc
  • sbason
  • henrywarne
  • caporp01
  • swatitabib
  • ianarundale
  • milkywaynian